<?php
/**
 * Skrill Basket Items
 *
 * The Class for Process Skrill Payment Gateways
 * Copyright (c) Skrill
 *
 * @class   SkrillOxBasketItem
 * @package Skrill/Classes
 * @located at /models
 * @extend  oxbasketitem
 */
class SkrillOxBasketItem extends SkrillOxBasketItem_parent
{
    /**
     * prevent basketitem isBuyable validation
     * use of basket between order and thankyou views causes errors, when buying last item in stock
     *
     * @param  bool   $blCheckProduct
     * @param  string $sProductId
     * @param  bool   $blDisableLazyLoading
     * @return parent call
     */
    public function getArticle($blCheckProduct = true, $sProductId = null, $blDisableLazyLoading = false)
    {
        if (!oxRegistry::getConfig()->getConfigParam('skrill__prevent_recalculate')) {
            return parent::getArticle($blCheckProduct, $sProductId, $blDisableLazyLoading);
        }

        return parent::getArticle(false, $sProductId, $blDisableLazyLoading);
    }
}
